// 【扩展题】请编程，键盘输入一个整数， 输出它的八进制数
// 【提示】使用int数组完成, int m[32];
#include <stdio.h>

int main()
{
    int inputNum;
    printf("请输入一个整数：");
    scanf("%d", &inputNum);
    int m[32];
    int i = 0;
    while (inputNum)
    {
        m[i++] = inputNum % 8;
        inputNum /= 8;
    }
    printf("八进制数为：");
    while (i)
    {
        printf("%d", m[--i]);
    }

    return 0;
}